//
//  Shader.fsh
//  GLES Texture Sample
//
//  Created by Satoshi Numata on 12/04/29.
//  Copyright (c) 2012年 Sazameki and Satoshi Numata, Ph.D. All rights reserved.
//

varying lowp vec4 colorVarying;
varying lowp vec2 texUVVarying;

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform lowp float time;
uniform bool      usesAnimation;

void main()
{
    lowp vec4 color = texture2D(tex0, texUVVarying).rgba;
    lowp vec4 color2 = texture2D(tex1, texUVVarying).rgba;
    
    if (usesAnimation && texUVVarying.x < time) {
        color = color2;
    }
    color = color * colorVarying;

    gl_FragColor = color;
}
