//
//  Shader.vsh
//  GLES Texture Sample
//
//  Created by Satoshi Numata on 12/04/29.
//  Copyright (c) 2012年 Sazameki and Satoshi Numata, Ph.D. All rights reserved.
//

attribute vec4 position;
attribute vec3 normal;
attribute vec2 texUV;

varying lowp vec4 colorVarying;
varying lowp vec2 texUVVarying;

uniform mat4 modelViewProjectionMatrix;
uniform mat3 normalMatrix;

void main()
{
    vec3 eyeNormal = normalize(normalMatrix * normal);
    vec3 lightPosition = vec3(0.0, 0.0, 1.0);
    vec4 diffuseColor = vec4(1.0, 1.0, 1.0, 1.0);
    
    float nDotVP = max(0.0, dot(eyeNormal, normalize(lightPosition)));
                 
    colorVarying = diffuseColor * nDotVP;
    texUVVarying = texUV;
    
    gl_Position = modelViewProjectionMatrix * position;
}
